.\" DO NOT MODIFY THIS FILE! it was generated by rd2
.TH MILTER\-TEST\-CLIENT 1 "November 2015" "milter manager" "milter manager's manual"
.SH NAME
.PP
milter\-test\-client \- milter side milter protocol implemented program
.SH SYNOPSIS
.PP
\&\fBmilter\-test\-client\fP [\fIoption ...\fP]
.SH DESCRIPTION
.PP
milter\-test\-client is a milter that just shows received data from MTA. It also shows macros received from MTA, it can be used for confirming MTA's milter configuration.
.PP
Postfix's source archive includes similar tool. It's src/milter/test\-milter.c. It seems that it's used for testing Postfix's milter implementation. But test\-milter doesn't show macros. If you have a milter that doesn't work as you expect and uses macro, milter\-test\-client is useful tool for looking into the problems.
.SH Options
.TP
.fi
.B
\-\-help
Shows available options and exits.
.TP
.fi
.B
\-\-connection\-spec=SPEC
Specifies a socket that accepts connections from MTA. SPEC should be formatted as one of the followings:
.IP
.B
\(bu
unix:PATH
.IP
.B
\(bu
inet:PORT
.IP
.B
\(bu
inet:PORT@HOST
.IP
.B
\(bu
inet:PORT@[ADDRESS]
.IP
.B
\(bu
inet6:POST
.IP
.B
\(bu
inet6:PORT@HOST
.IP
.B
\(bu
inet6:PORT@[ADDRESS]

Examples:
.IP
.B
\(bu
unix:/tmp/milter\-test\-client.sock
.IP
.B
\(bu
inet:10025
.IP
.B
\(bu
inet:10025@localhost
.IP
.B
\(bu
inet:10025@[127.0.0.1]
.IP
.B
\(bu
inet6:10025
.IP
.B
\(bu
inet6:10025@localhost
.IP
.B
\(bu
inet6:10025@[::1]
.TP
.fi
.B
\-\-log\-level=LEVEL
Specifies log output items. You can specify multiple items by separating items with "|" like "error|warning|message".

See 
.BR Log list \- Level
 for available levels.
.TP
.fi
.B
\-\-log\-path=PATH
Specifies log output path. If you don't specify this option, log output is the standard output. You can use "\-" to output to the standard output.
.TP
.fi
.B
\-\-verbose
Logs verbosely.

"\-\-log\-level=all" option has the same effect.
.TP
.fi
.B
\-\-syslog
Logs Syslog too.
.TP
.fi
.B
\-\-no\-report\-request
Doesn't show any information received from MTA.
.TP
.fi
.B
\-\-report\-memory\-profile
Reports memory usage each milter session finished.

When MILTER_MEMORY_PROFILE environment variable is set to 'yes', details are reported.

Example:

.nf
\&    % MILTER_MEMORY_PROFILE=yes milter\-test\-client \-s inet:10025
.fi
.TP
.fi
.B
\-\-daemon
Runs as daemon process.
.TP
.fi
.B
\-\-user=USER
Runs as USER's process. root privilege is needed.
.TP
.fi
.B
\-\-group=GROUP
Runs as GROUP's process. root privilege is needed.
.TP
.fi
.B
\-\-unix\-socket\-group=GROUP
Changes UNIX domain socket group to GROUP when "unix:PATH" format SPEC is used.
.TP
.fi
.B
\-\-n\-workers=N_WORKERS
Runs 
.I N_WORKERS
 processes to process mails. Available value is between 0 and 1000. If it is 0, no worker processes will be used.

\fINOTE: This item is an experimental feature.\fP
.TP
.fi
.B
\-\-event\-loop\-backend=BACKEND
Uses 
.I BACKEND
 as event loop backend. Available values are 
.B glib
 or 
.B libev
. If you use glib backend, please refer to the following note.

\fINOTE: For the sake of improving milter\-manager performance per process, event\-driven model based architecture pattern is choosed in this software. If this feature is implemented by glib, it is expressed as a callback. Note that glib's callback registration upper limit makes the limitation of the number of communications. This limitations exist against glib backend only.\fP
.TP
.fi
.B
\-\-packet\-buffer\-size=SIZE
Uses 
.I SIZE
 as send packets buffer size on end\-of\-message. Buffered packets are sent when buffer size is rather than 
.I SIZE
 bytes. Buffering is disabled when 
.I SIZE
 is 0.

The default is 0KB. It means packet buffering is disabled by default.
.TP
.fi
.B
\-\-version
Shows version and exits.
.SH EXIT STATUS
.PP
The exit status is 0 if milter starts to listen and non 0 otherwise. milter\-test\-client can't start to listen when connection spec is invalid format or other connection specific problems. e.g. the port number is already used, permission isn't granted for create UNIX domain socket and so on.
.SH EXAMPLE
.PP
The following example runs a milter which listens at 10025 port and waits a connection from MTA.
.nf
\&    % milter\-test\-client \-s inet:10025
.fi
.SH SEE ALSO
.PP
.BR milter\-test\-server
(1),
.BR milter\-performance\-check
(1)

